import { JavaMapEntry } from '../../../java/util/JavaMapEntry';
import { JavaSet } from '../../../java/util/JavaSet';
import { JavaIterator } from '../../../java/util/JavaIterator';
import { Collection } from '../../../java/util/Collection';
import { JavaObject } from '../../../java/lang/JavaObject';
import { AVLMapSubMap } from '../../../core/adt/map/AVLMapSubMap';
export declare class AVLMapSubEntrySet<K, V> extends JavaObject implements JavaSet<JavaMapEntry<K, V>> {
    private readonly _sub;
    /**
     * Erstellt ein neues SubEntrySet auf die übergebene {@link AVLMap}.
     *
     * @param sub Die {@link AVLMapSubMap} auf der operiert wird.
     */
    constructor(sub: AVLMapSubMap<K, V>);
    toString(): String;
    size(): number;
    isEmpty(): boolean;
    contains(o: unknown): boolean;
    iterator(): JavaIterator<JavaMapEntry<K, V>>;
    toArray(): Array<unknown | null>;
    toArray<T>(a: Array<T | null>): Array<T | null>;
    add(e: JavaMapEntry<K, V>): boolean;
    remove(o: unknown): boolean;
    containsAll(c: Collection<unknown>): boolean;
    addAll(c: Collection<JavaMapEntry<K, V>>): boolean;
    retainAll(c: Collection<unknown>): boolean;
    removeAll(c: Collection<unknown>): boolean;
    clear(): void;
    isTranspiledInstanceOf(name: string): boolean;
    [Symbol.iterator](): Iterator<JavaMapEntry<any, any>>;
}
export declare function cast_de_nrw_schule_svws_core_adt_map_AVLMapSubEntrySet<K, V>(obj: unknown): AVLMapSubEntrySet<K, V>;
